﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.BaseImpl;
using DevExpress.Persistent.Validation;
using DevExpress.Xpo;

namespace Ticket36921.Module.BusinessObjects
{
	[NavigationItem]
	public class OrderDetails : BaseObject
	{
		public OrderDetails(Session session) : base(session)
		{
		}

		[Association("Order-Details")]
		public Order Order
		{
			get { return this.GetPropertyValue<Order>("Order"); }
			set { this.SetPropertyValue("Order", value); }
		}


		public float Discount
		{
			get { return this.GetPropertyValue<float>("Discount"); }
			set { this.SetPropertyValue("Discount", value); }
		}


		public decimal Quantity
		{
			get { return this.GetPropertyValue<decimal>("Quantity"); }
			set { this.SetPropertyValue("Quantity", value); }
		}

		public decimal UnitPrice
		{
			get { return this.GetPropertyValue<decimal>("UnitPrice"); }
			set { this.SetPropertyValue("UnitPrice", value); }
		}
	}
}
