﻿using System;
using System.Linq;
using System.Text;
using System.ComponentModel;
using DevExpress.ExpressApp;
using DevExpress.ExpressApp.DC;
using System.Collections.Generic;
using DevExpress.ExpressApp.Model;
using DevExpress.ExpressApp.Editors;
using DevExpress.ExpressApp.Actions;
using DevExpress.ExpressApp.Updating;
using DevExpress.ExpressApp.Model.Core;
using DevExpress.ExpressApp.Model.DomainLogics;
using DevExpress.ExpressApp.Model.NodeGenerators;
using Xafari.Module.Win.Localization;
using Xafari.BC;

namespace Ticket36921.Module.Win
{
	[ToolboxItemFilter("Xaf.Platform.Win")]
	// For more typical usage scenarios, be sure to check out https://documentation.devexpress.com/eXpressAppFramework/clsDevExpressExpressAppModuleBasetopic.aspx.
	public sealed partial class Ticket36921WinModule : XafariModuleBase
	{
		public Ticket36921WinModule()
		{
			InitializeComponent();
		}
		public override IEnumerable<ModuleUpdater> GetModuleUpdaters(IObjectSpace objectSpace, Version versionFromDB)
		{
			return ModuleUpdater.EmptyModuleUpdaters;
		}
		public override void Setup(XafApplication application)
		{
			base.Setup(application);
			// Manage various aspects of the application UI and behavior at the module level.
		}

		public override ICollection<Type> GetXafResourceLocalizerTypes()
		{
			return new Type[] { typeof(ModuleLocalizer) };
		}
	}
}
