﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.BaseImpl;
using DevExpress.Xpo;

namespace Ticket36921.Module.BusinessObjects
{
	[NavigationItem]
	public class Customer : BaseObject
	{
		public Customer(Session session): base (session)
		{ }

		private string _name;
		public string Name
		{
			get { return _name; }
			set { this.SetPropertyValue("Name", ref _name, value); }
		}

		private decimal _discount;

		public decimal Discount
		{
			get { return _discount; }
			set { this.SetPropertyValue("Discount", ref _discount, value); }
		}
	}
}
